This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 142651 - RFE: --whatneeds feature missing
RFE: --whatneeds feature missing
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
: FutureFeature
: 84176 156903 475882 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-11 12:46 EST by Abdelrahman Elsayed
Modified: 2012-04-13 19:13 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Abdelrahman Elsayed 2004-12-11 12:46:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4)
Gecko/20030630 Galeon/1.3.8

Description of problem:
[19:09] <estr4ng3d> "rpm -q --whatrequires xyz-package" says that no
package requires xyz. However, "rpm -e the-same-xyz-package" will
refuse to execute, reporting one or more package names as needing xyz.
What gives?
[19:10] jbj: -estr4ng3d: rpm -q --whatrequires `rpm -q --provides
xyz-package` is conceptually what you want
[19:11] <jbj> i.e. dependency relations are more complicated than
package dependencies, there are sonames, file paths, virtual provides,
more within the xyz-package container
[19:11] <jbj> rpm -q --provides --qf '%{name}'
[19:12] <jbj> is almost exatclt how to extract the tokens that are
used for dependency relations (there are still some details regarding
versioning that need some sdjustment)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.n/a
2.n/a
3.n/a
    

Additional info:
Comment 1 Jeff Johnson 2004-12-13 08:46:54 EST
*** Bug 84176 has been marked as a duplicate of this bug. ***
Comment 2 Scott R. Godin 2004-12-13 15:56:34 EST
this being a more recent report, should this not have been marked as a
duplicate of Bug 84176 and not the other way around ? 
Comment 3 Paul Nasrat 2005-11-28 16:28:28 EST
*** Bug 156903 has been marked as a duplicate of this bug. ***
Comment 5 Red Hat Bugzilla 2007-08-21 01:19:23 EDT
User pnasrat@redhat.com's account has been closed
Comment 6 Panu Matilainen 2007-08-22 02:31:11 EDT
Reassigning to owner after bugzilla made a mess, sorry about the noise...
Comment 7 Scott R. Godin 2007-08-29 10:40:13 EDT
https://bugzilla.redhat.com/show_bug.cgi?id=84176 should still, having been the 
first recorded instance of this report,  been the controlling instance -- the 
above recorded IRC conversation could  merely be tacked onto the end of it as 
continuing contribution to the description of 84176, whereas this report has 
recieved _no further response_.
Comment 8 Panu Matilainen 2007-08-30 03:53:47 EDT
There are many ancient bugs in need of response and action, working through them
is slow business :-/

This happens to be an old "favorite" of mine, having to resort to tricks like
$ rpm --provides -q vte | xargs rpm --whatrequires -q | grep -v no\ package | uniq

..seems silly as rpm is perfectly capable of doing a proper job. One way to do
fully depsolved "whatneeds" is 
$ rpm -e --test vte 2>&1|awk '{print $NF}'|uniq

...but that's still heavily in the ugly tricks department. OTOH these days you
can do this with repoquery (from yum-utils) too:
$ repoquery --pkgnarrow=installed --whatrequires --alldeps vte

That's still much more typing than one would hope though...
Comment 9 Scott R. Godin 2007-08-30 15:57:48 EDT
indeed. Well, as long as you're keeping Bug 84176 in consideration when you get 
to where you can follow up on this. The workaround suggestions you made above 
will help in the meantime though, at least for reference purposes.
Comment 10 John Poelstra 2008-07-04 00:26:01 EDT
triaged
Comment 11 Jeff Johnson 2008-07-07 11:12:04 EDT
And implemented@rpm5.org.

A popt alias that looks like
    rpm alias --whatneeds --queryformat '[%{whatneeds}\n]'
is all that remains to be added.
Comment 12 Panu Matilainen 2008-12-11 01:37:23 EST
*** Bug 475882 has been marked as a duplicate of this bug. ***
Comment 13 devzero2000 2009-01-12 11:03:49 EST
FWIW, in the next @rpm5.org release, 5.1.7, that it will be released shortly, the functionality --whatneeds, --needwhats will be included.
Comment 15 devzero2000 2010-09-15 05:19:50 EDT
(In reply to comment #11)
> And implemented@rpm5.org.
> 
> A popt alias that looks like
>     rpm alias --whatneeds --queryformat '[%{whatneeds}\n]'
> is all that remains to be added.

Implemented also in 

5.1.0 -> 5.2a0
Comment 16 devzero2000 2010-09-15 05:20:55 EDT
This RFE is tracked also on https://bugs.launchpad.net/rpm/+bug/638630
Comment 17 Fedora Admin XMLRPC Client 2012-04-13 19:11:48 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 18 Fedora Admin XMLRPC Client 2012-04-13 19:13:51 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.